
#if defined(_WIN32) && defined(PETSC_USE_SHARED_LIBRARIES)
#endif

  CHARACTER(LEN=*), PARAMETER :: DMFORESTADAPTALL = 'all'
  CHARACTER(LEN=*), PARAMETER :: DMFORESTADAPTANY = 'any'

#if defined(_WIN32) && defined(PETSC_USE_SHARED_LIBRARIES)
!DEC$ ATTRIBUTES DLLEXPORT::DMFORESTADAPTALL
!DEC$ ATTRIBUTES DLLEXPORT::DMFORESTADAPTANY
#endif

